Help needed to test Ministro v9.6.8

Showing 1-23 of 23 messages
Help needed to test Ministro v9.6.8 BogDan 11/30/13 1:20 AM
Hello folks,

  I just found that Ministro is crashing big time on Android 4.4, I
fixed the problem and I need your help to test it. Please test it on
as many Android versions as you can, not only on Android 4.4!

Please download and use Ministro from here:
https://files.kde.org/necessitas/installer/test/Ministro%20II%20v9.6.8.apk

Thank you !

Cheers,
BogDan.
Re: Help needed to test Ministro v9.6.8 Marco Bernasocchi 11/30/13 9:54 AM

upgrade scenario on cyanogen mod 4.2.2 works no problem with qgis

Marco Bernasocchi (mobile)
http://opengis.ch

--
You received this message because you are subscribed to the Google Groups "android-qt" group.
To unsubscribe from this group and stop receiving emails from it, send an email to android-qt+...@googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.
Re: Help needed to test Ministro v9.6.8 Peter Lind 11/30/13 12:08 PM
Hello, BogDan.

This version is still crashing on Nexus 7. I have tried "Stable", "Testing" and even "Unstable" repositories. When I run my app, it says it "needs extra libraries to run. Do you want to download them now?", I tap "OK", a messge appears "Extracting the device look&feel..." (but it disappears too fast to read fully), and I get a message "Unfortunately, Ministro has stopped.".

Does it help to send the crash report?

Peter
Re: Help needed to test Ministro v9.6.8 mark 11/30/13 1:17 PM
On 30/11/2013 09:20, BogDan Vatra wrote:
>    I just found that Ministro is crashing big time on Android 4.4, I
> fixed the problem and I need your help to test it. Please test it on
> as many Android versions as you can, not only on Android 4.4!
>
> Please download and use Ministro from here:
> https://files.kde.org/necessitas/installer/test/Ministro%20II%20v9.6.8.apk

This fixes the problem I was having on Nexus 7 2013 Android 4.4 - works
with both testing and stable repositories.

Also works fine on Galaxy Nexus Android 4.3.

Thanks!
mark

Re: Help needed to test Ministro v9.6.8 BogDan 11/30/13 11:26 PM

Hi Peter,

Are you sure you've upgraded Ministro? Because that was the problem that I wanted to fix. After you download it make sure you also install it. To be sure that you have the latest version goto settings, applications and click on Ministro, if there the version is not 9.6.8 then you didn't install it.

If you have version 9.6.8 and still crashes, please send me the output of "adb logcat" command.

Cheese,
BogDan.

Pe 30.11.2013 22:08, "Peter Lind" <drpc...@gmail.com> a scris:
--
You received this message because you are subscribed to the Google Groups "android-qt" group.
To unsubscribe from this group and stop receiving emails from it, send an email to android-qt+...@googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.
Re: Help needed to test Ministro v9.6.8 Jean 12/1/13 1:09 AM
Hi Bogdan,

Tested on:

Nexus 7, 2013 android 4.3
FAEA F1, android 4.2
Htc Desire Android 2.3.7

All working fine.

Re: Help needed to test Ministro v9.6.8 SeDi 12/1/13 6:34 AM
Hi BogDan,

Am 30.11.2013 10:20, schrieb BogDan Vatra:
> Please test it on
> as many Android versions as you can, not only on Android 4.4!
Ministro 9.6.8 runs perfectly on Nexus 10 (Android 4.3)
and [drumroll... ]
--> Nexus 10 (Android 4.4)!!

Thank you so much for that superquick solution!

Sincerely,
Sebastian

--
http://www.classintouch.de - Tablet-Software f�r Lehrer

Re: Help needed to test Ministro v9.6.8 Peter Lind 12/1/13 11:50 AM
Hi BogDan.

Yes, you are right! When I checked, my Ministro was not 9.6.8. I was sure I had downloaded and installed the new version using the link you gave me, so I don't know what went wrong. But, as soon as I uninstalled the old one and made sure (again) that the new one was properly installed, it worked properly without any more trouble.

So, it is most definitely fixed and working for me. I am very pleased to see Qt running on my Nexus 7 now.

Thank you very much for your speedy repair and patient assistance.

Peter
Reidar Nybakke 12/1/13 12:49 PM <This message has been deleted.>
Re: Help needed to test Ministro v9.6.8 Reidar Nybakke 12/1/13 1:15 PM
Hello
 
Tested on Speedycraft nexus 7 4.4.. seems to be OK . Thanks..
 
Regards !
 
Reidar
 

kl. 10:20:52 UTC+1 lørdag 30. november 2013 skrev BogDan følgende:
Re: Help needed to test Ministro v9.6.8 tomasl 12/3/13 11:25 AM
Thanks, 

this works fine with the following.
Nexus5 with Android 4.4
Samsung Galaxy SII, Android 4.1.2

TomasL


kl. 10:20:52 UTC+1 lørdag 30. november 2013 skrev BogDan følgende:
Hello folks,
Re: Help needed to test Ministro v9.6.8 PAT 12/6/13 1:45 AM
Hey,
Minstro works fine now on nexus 4 and 10 wit API level 19.
But now it seems that the Android style is not used anymore. A Button looks the same now with and without Ministro. In 9.6.7 a usual Button looked different.
Didn' t you tell, that an native Android style is going to be used, when Apps use the Ministro service? Or is it planed for the next patch or release?

Anyways, the Qt port including Minstro seems now stable and very usefull

Am Samstag, 30. November 2013 10:20:52 UTC+1 schrieb BogDan:
Re: Help needed to test Ministro v9.6.8 BogDan 12/6/13 7:00 AM

Are you using Qt 4.x, 5.1 or 5.2?

Only 4.x and 5.2 will use the Android look and feel.
BogDan.

Pe 06.12.2013 11:45, "PAT" <pat...@gmail.com> a scris:
--
You received this message because you are subscribed to the Google Groups "android-qt" group.
To unsubscribe from this group and stop receiving emails from it, send an email to android-qt+...@googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.
Re: Help needed to test Ministro v9.6.8 PAT 12/6/13 8:22 AM
Yes, I use the almost latest version of Qt 5.2 (http://download.qt-project.org/snapshots/qt/5.2/5.2.0/2013-12-04_198/) and Android 4.4.
The week before, i had an earlier snapshot, where you really could a differences in a usual QML-Button(QtQuick2). Also the Actionbar seems to work in QtQuick2, but only when Project is created form the "QtQuickContols 1.0"-Template. For me it seems that the visibility of the Actionbar does not depend on using Ministor-service or not.
Should it be possible to use an ActionBar when the QML root item is not a window based item?


Am Freitag, 6. Dezember 2013 16:00:10 UTC+1 schrieb BogDan:
Re: Help needed to test Ministro v9.6.8 Sean Walker 12/6/13 4:18 PM
Works great on my Nexus 4 with 4.4! Thanks!
Re: Help needed to test Ministro v9.6.8 BogDan 12/7/13 6:40 AM
Hi,

  QtQuickContols don't have Android native look and feel. Only QWidget
based apps.

BogDan.


2013/12/6 PAT <pat...@gmail.com>:
Re: Help needed to test Ministro v9.6.8 PAT 12/8/13 11:58 PM
so did the android look and feel work on work on accident in some snapshot? Is it planed to have android look and feel in QML based apps in future? and maybe without Ministro?
I guess it makes sense, for advanced users to deiced to use Minstro or not. So an app could be released in two versions: with bundled qt libs and deficiencies to Minstro service. 

Am Samstag, 7. Dezember 2013 15:40:16 UTC+1 schrieb BogDan:
Re: Help needed to test Ministro v9.6.8 BogDan 12/9/13 1:59 AM
 Probably ... Qt Quick Controls used to use QStyle to draw the
controls, this way it had a native look, but it was disabled and now I
have to rewrite the styling for Qt Quick Controls which is not the
most pleasant job in the world :)
  It is on my todo list for 5.3, but is not a promise.

Cheers,
BogDan.


2013/12/9 PAT <pat...@gmail.com>:
Re: Help needed to test Ministro v9.6.8 Mark Y 12/13/13 7:16 AM
Is there a timeline as to when this fix will be posted to the Play store?  Fielding emails from customers whose app no longer works is getting tiresome.
Re: Help needed to test Ministro v9.6.8 BogDan 12/13/13 11:47 PM

Hi,

  The rule is that it has to pass two weeks after I announce it, to give everyone enough time to test it.

  If nobody reports any issues by Monday, I'll publish Ministro and Necessitas opengl fix for Android 4.4.

Cheers,
BogDan.

Pe 13.12.2013 17:16, "Mark Youngquist" <cyr...@gmail.com> a scris:
Is there a timeline as to when this fix will be posted to the Play store?  Fielding emails from customers whose app no longer works is getting tiresome.

--
You received this message because you are subscribed to the Google Groups "android-qt" group.
To unsubscribe from this group and stop receiving emails from it, send an email to android-qt+...@googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.
Re: Help needed to test Ministro v9.6.8 Langston Ball 12/14/13 5:35 PM
Confirm its working on 2012
 Nexus 7 with recent update to 4.4

Thanks for all your hard work!
Re: Help needed to test Ministro v9.6.8 edips aln 12/15/13 4:42 AM
Hello BogDan. Is it possible to create a ministro version for PySide libraries including Python 2.7? There are projects of MartinK's PySide for android and thp's PyLauncher. But building apk size is too big. So It will be nice to use Python libraries and QML just as ministro if it is possible.
 
Thanks
Re: Help needed to test Ministro v9.6.8 BogDan 12/16/13 1:30 AM
Hello,

  You don't need to create another Ministro version, you just need to
create a source for Ministro with all these libs. Sadly there is no
easy way to do it, but I'll try to create some easy to use tools for
that.

Cheers,
BogDan.



2013/12/15 edips aln <edip...@gmail.com>:
More topics »